Subject: bug#27941: closed (Re: bug#29529: next-line-add-newlines shouldn't be respected in next-line-or-history-element)

From: [email-masked] (GNU bug Tracking System)
Date: Sun, 03 Dec 2017 16:02:05 +0000

Your bug report

#29529: 25.2; next-line-add-newlines and minibuffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
29529: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=29529
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#29529: next-line-add-newlines shouldn't be respected in next-line-or-history-element
From: Eli Zaretskii <[email-masked]>
To: "E. Choroba" <[email-masked]>
Cc: [email-masked]
Date: Sun, 03 Dec 2017 18:00:36 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Fri, 1 Dec 2017 23:49:56 +0100 (CET)
> From: "E. Choroba" <[email-masked]>
> 
> I don't like the "end of buffer" errors, so I have switched 
> next-line-add-newlines to t. In recent Emacs versions, though, this makes it 
> impossible to browse the minibuffer history with cursor arrows: <down> adds a 
> newline into the minibufer instead of showing the next history element. M-n 
> works correctly, though.
> 
> Steps to reproduce (tested in 25.3.1):
> 
> emacs -Q
> (setq next-line-add-newlines t) C-x C-e
> C-x C-f <down>
> 
> Solution:
> 
> Set the variable to nil locally in next-line-or-history-element.
> 
> Patch:

Thanks, I installed your patch.

Subject: 25.2; next-line-add-newlines and minibuffer
From: Daniel Gildea <[email-masked]>
To: [email-masked]
Date: Fri, 04 Aug 2017 02:14:00 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

If you

(setq next-line-add-newlines t)

then pressing <down> in the minibuffer always adds a newline,
rather than moving to the next history item.